Name: kmldonkey
Version: 0.10.1
Release: alt2

Summary: KDE MLdonkey client
License: GPL
Group: Networking/File transfer
Url: http://kde-apps.org

Source: %name-%version.tar.bz2

BuildRequires: gcc-c++ kdelibs-devel libjpeg-devel

%package devel
Summary: Development part of KDE MLdonkey client
Group: Development/KDE and QT
Requires: %name = %version-%release

%description
KMLDonkey is a project that aims to fully integrate the mldonkey P2P software
into the KDE desktop. It consists of the following parts:
* An mldonkey GUI interface written for the KDE environment
  that runs as an applet on the KDE panel.
* A protocol handler for ed2k links, which means you can click on ed2k links
  in Konqueror (and other KDE applications) to download them with mldonkey.
* A Control Centre module for configuring mldonkey connectivity.

%description devel
KMLDonkey is a project that aims to fully integrate the mldonkey P2P software
into the KDE desktop. It consists of the following parts:
* An mldonkey GUI interface written for the KDE environment
  that runs as an applet on the KDE panel.
* A protocol handler for ed2k links, which means you can click on ed2k links
  in Konqueror (and other KDE applications) to download them with mldonkey.
* A Control Centre module for configuring mldonkey connectivity.

This package contains development part of %name

%prep
%setup

%build
make -f Makefile.cvs
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang --with-kde %name

%files -f %name.lang
%_bindir/*

%_Kapps/%name
%_Kapps/mldonkeyapplet

%_Kapps/kicker/applets/mldonkeyapplet.desktop
%_Kapps/konqueror/servicemenus/ed2k_slurp.desktop

%_libdir/libkmldonkey*.so.*
%_libdir/kde3/*.so*

%_datadir/services/*.desktop
%_datadir/services/kded/*.desktop
%_datadir/services/*.protocol
%_datadir/servicetypes/*.desktop

%_liconsdir/*
%_miconsdir/*
%_niconsdir/*

%_iconsdir/hicolor/128x128/apps/*.png
%_iconsdir/hicolor/22x22/apps/*.png
%_iconsdir/hicolor/64x64/apps/*.png

%_Kapplnk/Internet/kmldonkey.desktop
%_Kapplnk/Settings/Network/kcmdonkey.desktop

%_man1dir/kmldonkey.1*
%_man1dir/kmldonkey_submit.1*

%files devel
%_includedir/%name
%_libdir/libkmldonkey.so
%_libdir/libkmldonkeytools.so

%changelog
* Tue Dec 25 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10.1-alt2
- fixed build with autofoo >= 2.60

* Tue Jul 10 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10.1-alt1
- 0.10.1 release

* Wed Jun 09 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.10pre3-alt1
- 0.10pre3
- fix builrequires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt3
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt2
- rebuilding without *.la

* Sun Nov 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt1
- 0.9.1
- rebuilding in hasher

* Fri Jun 27 2003 Sergey V Turchin <zerg@altlinux.org> 0.9-alt0.1.cvs
- new cvs-version
- new spec-file

* Sun Jun 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8
- specfile cleanup
